- Qt 5.15
- Qt 3D
- QML Types
- MorphTarget QML Type
- Qt 5.15.11 Reference Documentation

# MorphTarget QML Type

A type providing morph targets to blend-shape animation. More...

Import Statement: | import Qt3D.Animation 2.15
Since: | Qt 5.9
Instantiates: | QMorphTarget

- List of all members, including inherited members

## Properties

- attributeNames : list<string>
- attributes : list<Attribute>

## Methods

- MorphTarget fromGeometry(geometry, stringList)

## Detailed Description

A MorphTarget type is a convenience type, which provides a list of Attributes, which the MorphingAnimation uses to animate geometry. A MorphTarget can also be created based on existing Geometry.

## Property Documentation

[read-only] attributeNames : list<string>

Holds a list of attribute names contained in the morph target.

attributes : list<Attribute>

Holds the list of attributes in the morph target.

## Method Documentation

MorphTarget fromGeometry(geometry, stringList)

Returns a morph target based on the attributes defined by the given stringList from the given geometry.